jQuery(document).ready(function($){


	$( document ).on( 'click', '.wp-block-hb-tabs__nav li', function(e){
			e.stopPropagation();
			var tab = $(this).attr('data-tab');
			if(typeof tab !== 'undefined'){

				//deactivate all tabs
				$(this).parents('.wp-block-hb-tabs').find('li').attr('data-hb-tabs-tab--state', 'inactive');
				$(this).parents('.wp-block-hb-tabs').find('.wp-block-hb-tabs__content').attr('data-hb-tabs-tab--state', 'inactive');
			
				//activate this tab
				console.log('tab clicked->' + tab);
				$(this).attr('data-hb-tabs-tab--state', 'active');
				$(this).parents('.wp-block-hb-tabs').find('#' + tab).attr('data-hb-tabs-tab--state', 'active');
				return false;

				
				$(this).parents('.wp-block-hb-tabs').find('#' + tab).attr('data-hb-tabs-tab--state', 'active');
				return false;
			}
			
	});

	console.log('tabs-block-frontend loaded');

});